ECHO OFF
TITLE 中兴N880E 一键ROOT工具 By MAL神族-沉默之星
color 3f

:STARTS
CLS


ECHO. ==========================================================================

ECHO. 注意：
ECHO.        1.设置----》应用程序---》开发----》USB调试    打钩
ECHO.        2.ROOT时手机应处于开机状态,请关闭电脑端的手机管理软件

ECHO. ==========================================================================
ECHO.
ECHO.                请选择你的操作?
ECHO.
ECHO.                      1.一键root
ECHO.
ECHO.                      2.安装手机驱动(2.3)
ECHO.
ECHO.                      3.安装手机驱动(4.0-ICS)
ECHO.
ECHO.                      4.进入虚拟recovery
ECHO.                  
ECHO.                      0.完成退出
ECHO.
ECHO.                   BY MAL神族-沉默之星
ECHO.                   bbs.malshenzu.com
ECHO. ==========================================================================


:CHO
set choice=
set /p choice= 选择你要进行的操作:
IF NOT "%Choice%"=="" SET Choice=%Choice:~0,1%
if /i "%choice%"=="1" goto ROOT
if /i "%choice%"=="2" goto QD1
if /i "%choice%"=="3" goto QD2
if /i "%choice%"=="4" goto REC
if /i "%choice%"=="0" goto TUICH
echo 选择无效，请重新输入
echo.



:ROOT
CLS
ECHO. 手机正在进入fastboot
files\adb reboot-bootloader
ECHO. 手机正在进入虚拟recovery
files\fastboot boot files\recovery.img
ECHO. 等待手机...
ping -n 10 127.0.0.1 >nul
files\adb root
ECHO. 正在挂载system
files\adb shell mount /system
ping -n 2 127.0.0.1 >nul
ECHO. 正在发送文件到手机
files\adb push files\RootExplorer.apk /system/app
ping -n 1 127.0.0.1 >nul
files\adb push files\SuperUser.apk /system/app
ping -n 1 127.0.0.1 >nul
files\adb push files\su /system/bin
ping -n 1 127.0.0.1 >nul
ECHO. 正在设置文件权限
files\adb shell busybox chmod 644 /system/app/RootExplorer.apk
files\adb shell busybox chmod 644 /system/app/SuperUser.apk
files\adb shell "chmod 06755 /system/bin/su"
ECHO. root完成，重启中...
files\adb reboot
pause
GOTO STARTS



:QD1
CLS
files\ZTE_Handset_USB_Driver.exe
pause
GOTO STARTS



:QD2
CLS
files\MAL-N880E-ICS-USB-Driver.exe
pause
GOTO STARTS



:REC
CLS
ECHO. 手机正在进入fastboot
files\adb reboot-bootloader
ECHO. 手机正在进入虚拟recovery
files\fastboot boot files\recovery.img
pause
GOTO STARTS



:TUICHU
exit

